Bug 130360 - Export a slide with animations into several PDF pages but with the same slide number
Summary: Export a slide with animations into several PDF pages but with the same slide...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.0.3 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: ImpressDraw-Enhancements
  Show dependency treegraph
 
Reported: 2020-02-02 08:19 UTC by Steven
Modified: 2020-10-23 14:16 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steven 2020-02-02 08:19:50 UTC
Hello,

this post is not about a bug but about a feature request.

When I create a slide show, I only use transitions of appearance and disappearance.

I would like to be able to proceed differently, that is to duplicate the slide several times to add and remove the wanted stuff. I find this way to proceed simpler to build the slides and, the most important, much more easier to manage.

However, when I project my slide show, all the instances of my duplicated slides have different numbers. Hence we loose the unicity of the slide (for viewers) and artificially grows the total number of slides.

The ability to select several successive slides and to link them so that they have the same number could be a great plus. Moreover, it would ease the export to pdf files which is really usefull to share presentations.

I thank you for having taken the time to read my message, and for this wonderful program that is LibreOffice.

Steven
Comment 1 V Stuart Foote 2020-02-02 15:22:40 UTC
Understand the intent, but do not believe ODF could hold the result. Meaning, it would exist while creating/editing--but would be collapsed to a single slide with its transitions on save to ODF (.ODP) archive, so would have no means to reopen and make additional changes.
Comment 2 Heiko Tietze 2020-02-03 12:02:57 UTC
Believe many users struggle with animations in presentations when exporting to PDF. And I wouldn't want to manually create many slides out of one. So this should be an automated process, and keeping the slide number is feasible.

The other approach could be to export as interactive PDF, however that involves Javascript as a quick search revealed.
Comment 3 Steven 2020-02-03 17:48:58 UTC
Hello and thank you both V Stuart Foote and Heiko Tieze for having taken the time to read my post!

Actually my wish is not only about PDF export, it's a plus but not the essential reason for my ask.
To give you an example, I teach technical drawing to students that have very few time to become efficient. One way to help them is to build presentations where all the iterations of a drawing (can be numerous) are presented in details.

With animation it's quite hard to manage since you have to :
- put all your pictures in the same slide
- deal with the relative depth of the pictures
- create your apparitions (no need to disappearance here since an image superimpose to the previous one
- place all your pictures exactly at the same location so that the new shapes drawn are located at the good place in reference to the previous image displayed...

The second way, one image on each slide (all the images being located precisely at the same place) is much more simple to implement and manage. However, this artificially grows the number of slides (or you have to number by hand).

Steven
Comment 4 Heiko Tietze 2020-02-04 12:54:12 UTC
There are plenty of options to deal with this. For example, place hide the full image when you show the next on click. Admittedly, it's a bit more effort. Question is what exactly you think needs to fixed with the page number. You don't need to use the real number if it's about what is shown in the footer. 

Anyway, exporting to PDF is essential to everybody and we should make it easier to split the animations into several pages.
Comment 5 Commit Notification 2020-04-01 12:26:02 UTC
Steve Fanning committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/e9a222c585f4ab7f1ed75b1573c98807bd9f2711

tdf#130360 Minor adjustments on complex numbers.
Comment 6 Timur 2020-10-23 14:12:00 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2020-10-23 14:16:23 UTC Comment hidden (obsolete)